
package com.network.providers;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "NetworkServiceService", targetNamespace = "http://providers.network.com/", wsdlLocation = "http://localhost:8089/network/soap?wsdl")
public class NetworkServiceService
    extends Service
{

    private final static URL NETWORKSERVICESERVICE_WSDL_LOCATION;
    private final static WebServiceException NETWORKSERVICESERVICE_EXCEPTION;
    private final static QName NETWORKSERVICESERVICE_QNAME = new QName("http://providers.network.com/", "NetworkServiceService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://localhost:8089/network/soap?wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        NETWORKSERVICESERVICE_WSDL_LOCATION = url;
        NETWORKSERVICESERVICE_EXCEPTION = e;
    }

    public NetworkServiceService() {
        super(__getWsdlLocation(), NETWORKSERVICESERVICE_QNAME);
    }

    public NetworkServiceService(WebServiceFeature... features) {
        super(__getWsdlLocation(), NETWORKSERVICESERVICE_QNAME, features);
    }

    public NetworkServiceService(URL wsdlLocation) {
        super(wsdlLocation, NETWORKSERVICESERVICE_QNAME);
    }

    public NetworkServiceService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, NETWORKSERVICESERVICE_QNAME, features);
    }

    public NetworkServiceService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public NetworkServiceService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns NetworkService
     */
    @WebEndpoint(name = "NetworkServicePort")
    public NetworkService getNetworkServicePort() {
        return super.getPort(new QName("http://providers.network.com/", "NetworkServicePort"), NetworkService.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns NetworkService
     */
    @WebEndpoint(name = "NetworkServicePort")
    public NetworkService getNetworkServicePort(WebServiceFeature... features) {
        return super.getPort(new QName("http://providers.network.com/", "NetworkServicePort"), NetworkService.class, features);
    }

    private static URL __getWsdlLocation() {
        if (NETWORKSERVICESERVICE_EXCEPTION!= null) {
            throw NETWORKSERVICESERVICE_EXCEPTION;
        }
        return NETWORKSERVICESERVICE_WSDL_LOCATION;
    }

}
